lv.pasts.eme.cert

## Class CertValidatorResult

- java.lang.Object
- - lv.pasts.eme.cert.CertValidatorResult

-     public final class CertValidatorResult
      extends Object

  `CertValidatorResult` class represents the successful result of the certificate chain validation.

  Instance of the `CertValidatorResult` is returned by one of the `validateCertPath` methods of `CertValidator` class.

  The `CertValidatorResult` object represents the result of certificate validation process, including the resolved trusted root certificate and used CRL and OCSP data.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CertValidatorResult.CRLResult` `CRLResult` class represents the successful result of the certificate chain CRL validation.
    `static class` | `CertValidatorResult.OCSPResult` `OCSPResult` class represents the successful result of the certificate chain OCSP validation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertPath` | `getCertPath()` Returns the validated certification path.
    `List<CertValidatorResult.CRLResult>` | `getCRLResultList()` Returns the certification path CRL validation result, or `null` if CRL validation was not performed.
    `List<CertValidatorResult.OCSPResult>` | `getOCSPResultList()` Returns list containing result of the performed OCSP validation, or `null` if OCSP validation was not performed.
    `X509Certificate` | `getTrustedCert()` Returns the certificate describing the CA that served as a trust anchor for the certification path.
    `Date` | `getValidationDate()` Returns the time for which the validity of the certification path was determined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCertPath

          public CertPath getCertPath()

      Returns the validated certification path.
      Returns:
        the validated certification path.

    - #### getValidationDate

          public Date getValidationDate()

      Returns the time for which the validity of the certification path was determined.
      Returns:
        the time for which the validity of the certification path was determined.

    - #### getTrustedCert

          public X509Certificate getTrustedCert()

      Returns the certificate describing the CA that served as a trust anchor for the certification path.
      Returns:
        the certificate describing the CA that served as a trust anchor for the certification path.

    - #### getCRLResultList

          public List<CertValidatorResult.CRLResult> getCRLResultList()

      Returns the certification path CRL validation result, or `null` if CRL validation was not performed.
      Returns:
        the certification path CRL validation result.

    - #### getOCSPResultList

          public List<CertValidatorResult.OCSPResult> getOCSPResultList()

      Returns list containing result of the performed OCSP validation, or `null` if OCSP validation was not performed.
      Returns:
        list containing result of the performed OCSP validation.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO